/******************************************************************************
 * FileName:        LCD_5_CAL.c
 * Dependencies:
 * Processor:       PIC32
 * Compiler:        CX32
 * Company:         McGee Engineering
 * Author:          TFM
 * Created;         June 30, 2014
 * Comments:        Use spreadsheet in project directory to calculate values to
 *                  map touch screen controler output to pixels
******************************************************************************/

/******************************************************************************
*  Files to Include                                                          
******************************************************************************/

#include "SystemConfig.h"
#include "Max32USB\Max32USB.h"

/*******************************************************************************
* User Level #define Macros                                                  
*******************************************************************************/


/*******************************************************************************
* Global Variable Declaration                                                
*******************************************************************************/
extern char BigFont[];

/*******************************************************************************
* User Function Prototypes                                                    
*******************************************************************************/


/*******************************************************************************
* Main Program                                                             
*******************************************************************************/

void main(void)
{
    unsigned long t;
    ServiceRequests.sr_byte = 0;
    setFont(BigFont);

    DDPCONbits.JTAGEN = 0;      // Disable Jtag

    SYSTEMConfig(GetSystemClock(), SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE);
   
    INTEnableSystemMultiVectoredInt();

    TickInit();                 //Start time functions

    OpenMaxUSB(GetPeripheralClock(), 921600ul);

    Init_Buss(TS_MODE,TS_SPEED);                    //Start parallel and SPI buses

    LCD_Init();
    TS_Init();
    delayMS(25);

    MainScreen();

    t = TickGet(0);
    while(1)
    {
        if(ServiceRequests.TS_DWN) srTouchScreen();
        if(ServiceRequests.TS_UP)  ScreenHandler();

        if((TickGet(0) - t) > (TICKS_PER_SECOND/2ul))
        {
            t = TickGet(0);    
            LD5_INV();                     //Toggle LD5
            //PutUSBarray("2\r\n", 2);
        }
        
    }
}
